

:root{
    --green: #1ec6b6;
    --light-grey: #f7f7f7;
    --dark: #0e1010;
    --trans: all 0.3s ease-in-out;
}

.navbar{
    position: fixed;
    top: 0;
    width: 100%;
    background-color:transparent;
    padding: 1rem 0rem;
    z-index: 999;
}

.navbar .container{
    justify-content: space-between;
}
.site-brand{
    color: #fff;
    font-size: 2.4rem;
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    opacity: 0.95;
}

.site-brand span{
    font-weight: 300;
}
#navbar-show-btn{
    background: transparent;
    color: #fff;
    font-size: 2rem;
    opacity: 0.9;
    transition: var(--trans);
    border: none;
}
#navbar-show-btn:hover{
    opacity: 1;
}

/* navbar side menu */
#navbar-collapse{
    background-color: var(--green);
    position:fixed;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    padding: 2rem;
    transform: translateX(100%);
    transition: var(--trans);
}
.navbar-collapse-rmw{
    /* js related */
    transform:  translateX(0)!important;;

}
#navbar-close-btn{
    background:none;
    color: #fff;
    width: 35px;
    height: 35px;
    border-radius: 0.2rem;
    font-size: 2rem;
    transition: var(--trans);
    position: absolute;
    right: 1rem;
    top: 2rem;
    border: none;
}
#navbar-close-btn:hover{
    background-color: #fff;
    color: var(--green);
}
.navbar-nav{
    margin-top: 5rem;
}
.nav-item{
    margin: 1.6rem 0;
}
.nav-link{
    color: #fff;
    font-size: 1.2rem;
    transition: var(--trans);
}
.nav-link:hover{
    opacity: 0.8;
}

/* header */
header{
    min-height: 100vh;
    padding-top: 7rem;
    background:linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)), url(../images/gallery-3.webp) center/cover no-repeat;
    flex-direction: column;
    color: #fff;
    text-align: center;
}
.header-title h1{
    font-size: 2.8rem;
    letter-spacing: 2px;
    animation: bounce-in-top 1.5s both;
}
.header-title p{
    margin: 1.8rem auto;
    max-width: 700px;
    font-weight: 500;
    font-size: 1.3rem;
    line-height: 1.7;
}

@keyframes bounce-in-top{
    0%{
        transform: translateY(-500px);
        animation-timing-function: ease-in;
        opacity: 0;
    }
    38%{
        transform: translateY(0);
        animation-timing-function: ease-out;
        opacity: 1;
    }
    55%{
        transform: translateY(-65px);
        animation-timing-function: ease-in;
    
    }
    72%{
        transform: translateY(0);
        animation-timing-function: ease-out;
    
    }
    81%{
        transform: translateY(-28px);
        animation-timing-function: ease-in;
    
    }
    90%{
        transform: translateY(0);
        animation-timing-function: ease-out;
    
    }
    95%{
        transform: translateY(-8px);
        animation-timing-function: ease-in;
    
    }
    100%{
        transform: translateY(0);
        animation-timing-function: ease-out;
    
    }
}

.header-form{
    background: rgba(0, 0, 0, 0.5);
    padding: 3rem;
    border-radius: 0.2rem;
}
.header-form h3{
    font-size: 1.2rem;
}

.header-form form{
    flex-direction: column;
    margin-top:1.8rem;
}
.header-form form .form-control{
    box-shadow: 2px 4px 4px rgba(0,0,0,0.4);
}
.header-form input[type = "date"]{
    text-transform: uppercase;
}

.header-form input:not([type =  "submit"])::placeholder{
    color: #fff;

}
::-webkit-calendar-picker-indicator{
    filter: invert(1);
}
.header-form .btn{
    margin-top: 0.8rem;
}

/* change background on scroll */
.navbar-cng{
    background-color: #fff;
    box-shadow: 0px 4px 5px 0px rgba(48, 48, 48, 0.2);
    transition: var(--trans);
   }
.navbar-cng .site-brand{
    color: var(--dark);
}
.navbar-cng .site-brand span{
    color: var(--green);
}
.navbar-cng #navbar-show-btn{
    color: var(--green);
}


/* destination */
.destination-item{
    position: relative;
    width: 100%;
    overflow:hidden;
    transition: var(--trans);
}
.destination-item::after{
    content: "";
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index:1;
    background: linear-gradient(to bottom, transparent  0%, transparent 18%, rgba(0,0,0,0.6) 99%, rgba(0,0,0,0.6) 100%);
}

.destination-item-content{
    position: absolute;
    bottom:0;
    left: 0;
    z-index: 2;
    color: #fff;
    width: 100%;
    padding: 1rem;
    transform: translateY(68%);
    transition: var(--trans);
}
.destination-item-content span{
    font-size: 1.2rem;
    display: block;
    margin-bottom: 1.2rem;
    text-transform: capitalize;
}
.destination-item-content .text{
    color: #fff;
    transition: var(--trans);
}

.destination-item:hover .destination-item-content{
    transform: translateY(0);
}

/* services */
#services{
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url(../images/gallery-6.webp) center/cover no-repeat;
}
#services *{
    color: #fff;
}
.services-item{
    text-align: center;
    padding: 2rem 0.5rem;
    margin: 2rem 0;
}
.services-icon{
    font-size: 3.2rem;
}
.services-item h3{
    margin: 1rem 0;
    font-size: 1.6rem;
}
.services-item .btn{
    margin-top: 1.6rem;
    display: inline-block;
}

/* testimonials */

#testimonials {
    background-color: var(--light-grey);
}
.test-item{
    border: 2px solid var(--light-grey);
    padding: 2rem 1rem;
    position: relative;
    background-color: #fff;
    border-radius: 0.2rem;
    margin: 2rem 0 14rem 0;
}
.test-item::after{
    content: "";
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right:20px solid transparent;
    border-top: 20px solid #fff;
}
.test-item-info{
    position: absolute;
    top: 110%;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}
.test-item-info img{
    width: 100px;
    height: 100px;
    border-radius: 100%;
    margin: 1rem;
}
.test-item-info h3{
    font-size: 1rem;
}

/* video */
.video-wrapper{
    height: 500px;
    position: relative;
}
.video-wrapper video{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#play-btn{
    position: absolute;
    z-index: 5;
    width: 70px;
    height: 70px;
    background-color: var(--green);
    color: #fff;
    border: none;
    border-radius: 50%;
    font-size: 1.8rem;
    padding-left: 0.4rem;
    transition: var(--trans);
}
#play-btn:hover{
    transform: scale(1.1);
}

/* footer */
footer{
    background-color: var(--dark);
    color: #fff;
    text-align: center;
    position: relative;;
}
footer::before{
    content: "";
    position: absolute;
    background-color: var(--green);
    height: 4px;
    top: 0;
    left: 0;
    width: 100%;
}
footer .site-brand{
    margin-bottom: 1.5rem;
    display: block;
    font-size: 2rem !important;
}
.footer-item{
    margin: 3rem 0;
}
.footer-item a{
    font-size: 1.2rem;
    color: #fff;
    transition: var(--trans);
}
.footer-item a:hover{
    color: var(--green);
}
.footer-item ul{
    padding: 0;
}
.footer-item h2{
    margin-bottom: 1.4rem;
}
.social-links{
    display: flex;
    justify-content: center;
}
.social-links li{
    margin: 0.5rem;
}
.footer-item:nth-child(3) li{
    margin: 0.5rem 0;
}
.footer-item:nth-child(3) a{
    display: inline-block;
    font-size: 1rem;
    opacity: 0.7;
}
.subscribe-form form{
    flex-direction: column;
    
}
.subscribe-form form input{
    width: 100%;
    max-width: 300px;
}
.subscribe-form .form-control{
    border-color: rgba(255, 255, 255, 0.3);
    transition: var(--trans);
    background-color:rgb(70, 63, 76);
}
.subscribe-form .form-control:focus{
    border-color: #fff;
}
.subscribe-form form input[type = "email"]::placeholder{
    color: #fff;
    opacity: 0.3;
}


/* ### Gallery Page ### */
header.header-sm{
    min-height: 80vh;
}

/* gallery */
.gallery-item{
    margin: 2rem 0;
    overflow: hidden;
    position:relative;
    transition: var(--trans);
    cursor: pointer;
}
.gallery-item::after{
    content: "";
    z-index: 1;
    position:absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    background: linear-gradient(to bottom, transparent 0%, transparent 18%, rgba(0,0,0,0.8) 99%, rgba(0,0,0,0.8) 100%);
}
.gallery-item img{
    transition: var(--trans);
}
.gallery-item:hover img{
    transform: scale(1.2);
}
.zoom-icon{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2rem;
    color: white;
    opacity: 0;
    transition: var(--trans);
}
.gallery-item:hover .zoom-icon{
    opacity: 1;
}

#img-modal-box {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 999;
}
#img-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center; /* Center the image */
    max-width: 90%; /* Limit maximum width */
    max-height: 90%; /* Limit maximum height */
}
#img-modal img {
    max-width: 100%;
    max-height: 100%;
}
#img-modal-box button{
    position: absolute;
    font-size: 1.4rem;
    background-color: #fff;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    transition: var(--trans);
    border: none;
}
#img-modal-box button:hover{
    opacity: 0.9;
}
#modal-close-btn{
    top: -17.5px;
    right: -17.5px;
    z-index: 999;
}
#next-btn{
    top: 50%;
    right: 1rem;
    transform: translateY(-50%);
}
#prev-btn{
    top: 50%;
    left: 1rem;
    transform: translateY(-50%);
}
#next-btn:hover, #prev-btn:hover{
    background-color: var(--dark);
    color: #fff;
}


/* package section */
/* package */
#pakcage{
    background-color: var(--light-grey);
}

/* About Page */
/* About */
.about-right .text{
    margin-bottom: 1rem;
}
.about-right h2{
    margin-bottom: 2.5rem
}



/* facts */
#facts{
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url(../images/gallery-5.webp) center/cover no-repeat;
    min-height: 80vh;
}
#facts .title-wrap{
    color: #fff;
}
#facts .sm-title{
    color: #fff;
}
.facts-item{
    color: #fff;
    text-align: center;
    padding: 2rem 0;
}
.facts-icon{
    font-size: 3.2rem;
}
.facts-info strong{
    font-size: 2rem;
    display: block;
    margin: 1rem 0;
}
.facts-info .text{
    text-transform: uppercase;
}

/* contact page */
/* contact */
.contact-form .form-control{
    border: 1px solid rgb(0, 0, 0,0.1);
    color: #000;
    display: block;
    margin: 1.6rem auto;
}
.contact-form .btn{
    display: block;
    margin: auto;
}
.contact-icon{
    background-color: var(--green);
    color: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin: 1rem auto;
    font-size: 2rem;
}
.contact-item{
    text-align: center;
    margin: 3rem 0;
}
.contact-item div span{
    font-weight: 600;
    font-family: 'Raleway',sans-serif;
    font-size: 1.2rem;
    display: block;
    margin-bottom: 1rem;
}
.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    padding: 1rem 0;
    
}

.card {
    width: calc((100% - 5rem) / 3); /* Decreased width */
    max-width: 350px; /* Added to ensure a maximum width */
    height: auto;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    
}

.card img {
    max-width: 100%;
    height: auto;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.card-details {
    padding: 1rem;
}

.card-title {
    font-size: 18px;
    margin-bottom: 1rem;
}

.card-icons {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.card-icons small {
    margin: 0;
}

.card-description {
    font-size: 14px;
    margin-top: 1rem;
}

.card-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}

.card-price p {
    display: flex;
    flex-direction: column;
    align-items: start;
    margin: 0;
    font-size: 15px;
    font-family: 'Raleway',sans-serif;
}
.card-price span {
    font-size: 12px;
}

.submit-btn {
    background-color: #1ec6b6;
    color: #fff;
    border: none;
    font-size: 17px;
    font-family: 'Raleway',sans-serif;
    padding: 0.6rem 1rem;
    border-radius: 4px;

}

.submit-btn:hover {
    background-color: #25c0b0;
    color: #fff;
    border: none;
}
@media screen and (max-width: 992px) {
    .card {
        width: calc((100% - 3rem) / 2);
    }
}

@media screen and (max-width: 768px) {
    .card {
        width: calc(100% - 2rem);
    }
}
.me-2{
    margin-right: 0.2rem;
}

.floating-buttons {
    position: fixed;
    left: 20px; /* Adjust the distance from the left side of the screen */
    bottom:30px; /* Adjust the distance from the bottom of the screen */
    z-index: 9999; /* Ensure it appears above other elements */
  }
  
  .floating-buttons a {
    display: block;
    margin-bottom: 10px;
    width: 50px; /* Adjust the width of the buttons */
    height: 50px; /* Adjust the height of the buttons */
    text-align: center;
    line-height: 50px;
    background-color: #25d366; /* WhatsApp color */
    color: #fff;
    border-radius: 50%;
    font-size: 24px;
    text-decoration: none;
    transition: background-color 0.3s;
  }
  
  .floating-buttons a:hover {
    background-color: #30cd6a; /* Darker shade of WhatsApp color on hover */
  }
  
  .call-button {
   background-color: #007bff !important;/* Call button color */
  }
  
  .call-button:hover {
    background-color: #1481f5; /* Darker shade of call button color on hover */
  }

 
.booking-form .form-control{
    border: 1px solid rgb(0, 0, 0,0.1);
    color: #2a2727;
}
.booking-row {
    display: flex;
    justify-content: space-around;
    align-items: flex-start; /* Align items at the start of the container */
    flex-wrap: wrap;
}

.booking-left {
    width: 45%; /* Adjusted width for the form */
    margin-right: 5%; /* Added margin for spacing */
    margin-left: 5%; /* Added margin for spacing */
}

.booking-right {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: flex-start; 
    gap: 1rem;
}

.attractive-image {
    width: 100%; 
    max-width: 300px; 
    border-radius: 10px;
    height: 170px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.image-row {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    width: 100%; 
}

@media screen and (max-width: 768px) {
    .booking-row {
        flex-direction: column;
        align-items: center; 
    }

    .booking-left {
        width: 90%; 
        margin: 0 auto;
    }

    .booking-right {
        width: 90%;
        margin-top: 2rem;
    }
    .image-row {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        width: 100%; 
    }
    .attractive-image {
        width: 100%; 
        max-width: 250px; 
        border-radius: 10px;
        height: 170px;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    }
}


.scroll-to-top-btn {
    position: fixed;
    bottom: 40px;
    right: 20px;
    background-color: #1ec6b6;
    color: #fff;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    transition: opacity 0.3s ease;
    opacity: 0;
    z-index: 1000;
    transition: 0.2s;
}

.scroll-to-top-btn:hover {
    background-color: #21bdad;
}

.scroll-to-top-btn.active {
    opacity: 1;
}
